PUT /api/v3/placeBenchmark/{benchmarkIndicator}/place/{placeId}/benchmarkValue/{placeBenchmarkId}

Updates an existing benchmark value's begin date and/or numeric value

UpdatePlaceBenchmarkValueV3 Permissions: BuildingsAndOrganizations (Edit)
Use this endpoint to modify a benchmark value record. If the begin date changes, adjacent records' end dates are automatically adjusted to prevent gaps or overlaps. Triggers recalculation of bill aggregations and user-defined auto group membership.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
benchmarkIndicator Benchmark slot identifier (1, 2, or 3) integer (int32) Required
placeId Unique numeric identifier of the place (must be a structure/site) integer (int32) Required
placeBenchmarkId Unique numeric identifier of the benchmark value record to update integer (int32) Required

Request Body

BenchmarkValueRequest
Property Description Type
effectiveDate The effective date for the benchmark Required Must be first of the month Required Must be first of the month string (date-time)
value The benchmark value Required Max scale of 6 Must be between 0 and 1.7976931348623157E+308 Required Max scale of 6 Must be between 0 and 1.7976931348623157E+308 number (double)
Example Request Body application/json
{  "effectiveDate": "2026-06-29",  "value": 1.0
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BenchmarkValuesResponse
Property Description Type
benchmarkCategory BenchmarkCategoryResponse
BenchmarkCategoryResponse properties
Property Description Type
benchmarkCategoryId Benchmark Category Id integer (int32)
benchmarkCategoryInfo Benchmark Category Info string
benchmarkIndicator Indicator for which benchmark factor Required (defined) integer (int32)
benchmarkInfo benchmark info Required (defined) string
benchmarkValues List of benchmark values and their effective dates Required (defined) BenchmarkValue[]
BenchmarkValue properties
Property Description Type
benchmarkValueId Indicator for which benchmark factor Required (defined) integer (int32)
effectiveDate Effective Date for the benchmark factor Required (defined) string (date-time)
endDate End Date for the benchmark factor Required (defined) string (date-time)
value Value set for the benchmark factor Required (defined) number (double)
Example Response application/json
{  "benchmarkCategory": {    "benchmarkCategoryId": 1,    "benchmarkCategoryInfo": "string"
  },  "benchmarkIndicator": 1,  "benchmarkInfo": "string",  "benchmarkValues": [
    {    "benchmarkValueId": 1,    "effectiveDate": "2026-06-29",    "endDate": "2026-06-29",    "value": 1.0
  }
  ]
}